from django.conf.urls import patterns, include, url

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'hp.views.home', name='home'),
    # url(r'^hp/', include('hp.foo.urls')),
    url(r'^$', 'hp.views.all_videos', name='home'),
    url(r'^video/(?P<content_id>.*)$', 'hp.views.show_video_details', name='video_details'),
    url(r'^kc_proxy/(?P<path>.*)$', 'hp.views.kc_proxy', name='kc_proxy'),
    
    url(r'^api/1.0/', include('hp.api.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),


    # Uncomment the next line to enable the admin:
    url(r'^admin/', include(admin.site.urls)),
)
